Properties Methods Events Config Options Direct Link

# Class Ext.KeyNav

Package: | Ext
Defined In: | KeyNav.js
Class: | KeyNav
Extends: | Object

Provides a convenient wrapper for normalized keyboard navigation. KeyNav allows you to bind navigation keys to function calls that will get called when the keys are pressed, providing an easy way to implement custom navigation schemes for any UI component.

The following are all of the possible keys that can be implemented: enter, left, right, up, down, tab, esc, pageUp, pageDown, del, home, end. Usage:

    var nav = new Ext.KeyNav("my-element", {
        "left" : function(e){
            this.moveLeft(e.ctrlKey);
        },
        "right" : function(e){
            this.moveRight(e.ctrlKey);
        },
        "enter" : function(e){
            this.save();
        },
        scope : this
    });

## Config Options

Config Options | Defined By
--- | ---
| defaultEventAction : String The method to call on the Ext.EventObject after this KeyNav intercepts a key. Valid values are Ext.EventObject.stopEv... The method to call on the Ext.EventObject after this KeyNav intercepts a key. Valid values are Ext.EventObject.stopEvent, Ext.EventObject.preventDefault and Ext.EventObject.stopPropagation (defaults to 'stopEvent') | KeyNav
| disabled : Boolean True to disable this KeyNav instance (defaults to false) | KeyNav

forceKeyDown : Boolean
Handle the keydown event instead of keypress (defaults to false). KeyNav automatically does this for IE since IE does...
Handle the keydown event instead of keypress (defaults to false). KeyNav automatically does this for IE since IE does not propagate special keys on keypress, but setting this to true will force other browsers to also handle keydown instead of keypress.

KeyNav

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

KeyNav( `Mixed el`, `Object config` )
Parameters:

- `el` : Mixed
  The element to bind to
- `config` : Object
  The config

Returns:

- ``

KeyNav

disable() : void
Disable this KeyNav
Disable this KeyNav
Parameters:

- None.

Returns:

- `void`

KeyNav

enable() : void
Enable this KeyNav
Enable this KeyNav
Parameters:

- None.

Returns:

- `void`

KeyNav

## Public Events

This class has no public events.